# Engine

<pre class="language-json"><code class="lang-json">{
  "version": 2,
  "application_id": "00000000-0000-0000-0000-000000000000",
  "message_id": "5502FFB01650060FA8888E5C3ED46FF2A0E4A49EACF1A92E264CD0C137971B28",
  "vin": "EXV10000000",
  "data": {
    "<a data-footnote-ref href="#user-content-fn-1">engine</a>": {
      "<a data-footnote-ref href="#user-content-fn-2">start_stop_state</a>": [
        {
          "data": "inactive",
          "timestamp": "2025-09-23T13:05:36.000Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-3">status</a>": [
        {
          "data": "on",
          "timestamp": "2025-09-23T13:05:36.000Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-4">limp_mode</a>": [
        {
          "data": "inactive",
          "timestamp": "2025-09-08T03:43:49.263Z"
        }
      ]
    }
  }
}
</code></pre>

[^1]: [Engine specification ](https://json-schema.app/view/%23/%23%2Fproperties%2Fengine?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^2]: Indicates wheter the start-stop system is currently active or not

    [Start stop state specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fengine/%23%2Fproperties%2Fengine%2Fproperties%2Fstart_stop_state%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^3]: [Status specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fengine/%23%2Fproperties%2Fengine%2Fproperties%2Fstatus%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^4]: Indicates whether the engine is in fail-safe mode.

    [Limp mode specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fengine/%23%2Fproperties%2Fengine%2Fproperties%2Flimp_mode%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.high-mobility.com/api-references/data/streaming-schema-v2/engine.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
